# Visualization
TKV3d
DsgPrs

# DsgPrs_FilletRadiusPresentation Class Reference

A framework for displaying radii of fillets.
.

`#include <DsgPrs_FilletRadiusPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void

Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const Standard_Real thevalue, const TCollection_ExtendedString &aText, const gp_Pnt &aPosition, const gp_Dir &aNormalDir, const gp_Pnt &aBasePnt, const gp_Pnt &aFirstPoint, const gp_Pnt &aSecondPoint, const gp_Pnt &aCenter, const DsgPrs_ArrowSide ArrowPrs, const Standard_Boolean drawRevers, gp_Pnt &DrawPosition, gp_Pnt &EndOfArrow, Handle(Geom_TrimmedCurve)&TrimCurve, Standard_Boolean &HasCircle)

| Adds a display of the radius of a fillet to the presentation aPresentation. The display ttributes defined by the attribute manager aDrawer. the value specifies the length of the radius. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_FilletRadiusPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const Standard_Real | thevalue,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | aPosition,
|  | const gp_Dir & | aNormalDir,
|  | const gp_Pnt & | aBasePnt,
|  | const gp_Pnt & | aFirstPoint,
|  | const gp_Pnt & | aSecondPoint,
|  | const gp_Pnt & | aCenter,
|  | const DsgPrs_ArrowSide | ArrowPrs,
|  | const Standard_Boolean | drawRevers,
|  | gp_Pnt & | DrawPosition,
|  | gp_Pnt & | EndOfArrow,
|  | Handle(Geom_TrimmedCurve)& | TrimCurve,
|  | Standard_Boolean & | HasCircle
| ) | `[static]`

void DsgPrs_FilletRadiusPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_FilletRadiusPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_FilletRadiusPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_FilletRadiusPresentation.hxx